id: '465e12a3-3893-4be4-9294-675f4d4aa686'
name: 'Unity_Databricks'
timestamp: '2025-03-11T15:03:53+00:00'
appVersion: '1.4.0'
sourceObjects:
  - name: 'media_customer_reviews'
    terms:
      - name: 'review'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'franchiseID'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
      - name: 'review_date'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'timestamp'
          isNullable: true
      - name: 'new_id'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'int'
          isNullable: true
    objectType: {}
  - name: 'media_gold_reviews_chunked'
    terms:
      - name: 'franchiseID'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'int'
          isNullable: true
      - name: 'review_date'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'timestamp'
          isNullable: true
      - name: 'chunked_text'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'chunk_id'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'review_uri'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
    objectType: {}
  - name: 'sales_customers'
    terms:
      - name: 'customerID'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
      - name: 'first_name'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'last_name'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'email_address'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'phone_number'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'address'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'city'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'state'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'country'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'continent'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'postal_zip_code'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
      - name: 'gender'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
    objectType: {}
  - name: 'sales_franchises'
    terms:
      - name: 'franchiseID'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
      - name: 'name'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'city'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'district'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'zipcode'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'country'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'size'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'longitude'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'double'
          isNullable: true
      - name: 'latitude'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'double'
          isNullable: true
      - name: 'supplierID'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
    objectType: {}
  - name: 'sales_suppliers'
    terms:
      - name: 'supplierID'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
      - name: 'name'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'ingredient'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'continent'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'city'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'district'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'size'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'longitude'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'double'
          isNullable: true
      - name: 'latitude'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'double'
          isNullable: true
      - name: 'approved'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
    objectType: {}
  - name: 'sales_transactions'
    terms:
      - name: 'transactionID'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
      - name: 'customerID'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
      - name: 'franchiseID'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
      - name: 'dateTime'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'timestamp'
          isNullable: true
      - name: 'product'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'quantity'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
      - name: 'unitPrice'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
      - name: 'totalPrice'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
      - name: 'paymentMethod'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'string'
          isNullable: true
      - name: 'cardNumber'
        isBusinessKey: false
        isDefaultTerm: false
        isForeignKey: false
        isIdentity: false
        sourceDataType:
          name: 'long'
          isNullable: true
    objectType: {}
sourceSystem:
  type: 'Parquet'
